Name:		pfstools
Version:	1.8.5
Release:	10%{?dist}
Summary:	Programs for handling high-dynamic range images

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://pfstools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:		pfstools-mDATA.patch
Patch2:		pfstools-1.7.0-bf1.patch
Patch3:		pfstools-1.7.0-gcc44.patch
Patch4:		pfstools-1.7-strcmp.patch
Patch5:		pfstools-1.7.0-debuginfo.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libtiff-devel
BuildRequires:	openexr-devel
BuildRequires:	octave-devel
BuildRequires:	libGL-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	freeglut-devel
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	qt-devel
BuildRequires:	libXi-devel
BuildRequires:	netpbm-devel
BuildRequires:	texlive-latex
BuildRequires:	gdal-devel
Requires:	pfstools-libs = %{version}-%{release}

%description
pfstools is a set of command line programs for reading,
writing, manipulating and viewing high-dynamic range (HDR) images and
video frames. All programs in the package exchange data using unix
pipes and a simple generic HDR image format (pfs). The concept of the
pfstools is similar to netpbm package for low-dynamic range images.


%package libs
Summary:	Libraries for HDR processing
Group:		System Environment/Libraries
License:	LGPLv2+

%description libs
The pfstools-libs package contains a runtime library of functions for
handling HDR graphics files.


%package qt
Summary:	Qt-based viewer for HDR files
Group:		Applications/Multimedia
Requires:	pfstools-libs = %{version}-%{release}

%description qt
The pfstools-qt package contains viewer programs based on qt4 for
viewing HDR graphics files.


%package glview
Summary:	GL-based viewer for HDR files
Group:		Applications/Multimedia
Requires:	pfstools-libs = %{version}-%{release}

%description glview
The pfstools-glview package contains viewer programs based on OpenGL for
viewing HDR graphics files.


%package exr
Summary:	EXR file import for PFS tools
Group:		Applications/Multimedia
Requires:	pfstools-libs = %{version}-%{release}

%description exr
The pfstools-exr package contains input and output filters for EXR files
to and from the HDR graphics file format used in pfstools.


%package imgmagick
Summary:	ImageMagick file import for PFS tools
Group:		Applications/Multimedia
Requires:	pfstools-libs = %{version}-%{release}

%description imgmagick
The pfstools-exr package contains input and output filters based in
ImageMagick to and from the HDR graphics file format used in pfstools.


%package octave
Summary:	Octave interaction with PFS tools
Group:		Applications/Multimedia
Requires:	octave(api) = %{octave_api}

%description octave
The pfstools-octave package contains programs to process red, green and blue
channels or luminance channels in pfs stream using Octave.


%package gdal
Summary:	PFS Tools using the GDAL library to handle GIS information
Group:		Applications/Multimedia

%description gdal
The pfstools-gdal package contains programs which can handle GIS information
using the GDAL library.


%package devel
Summary:	Files for development with PFS tools
Group:		Development/Libraries
Requires:	pfstools-libs = %{version}-%{release}

%description devel
The netpbm-devel package contains the header files and link libraries,
etc., for developing programs which can handle HDR graphics files.


%prep
%setup -q
%patch1 -p1 -b .mDATA
%patch2 -p1 -b .bf1
%patch3 -p1 -b .gcc44
%patch4 -p1 -b .strcmp
%patch5 -p1 -b .debuginfo
# Remove the following once the patches for configure.ac and Makefile.am
# are not necessary anymore.
autoreconf -ifv


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT "INSTALL=install -p" install

# XXX Nuke unpackaged files
{ cd ${RPM_BUILD_ROOT}
  rm -f .%{_libdir}/libpfs-1.2.la
  rm -f .%{_mandir}/man1/pfsinjpeghdr.1
  rm -f .%{_mandir}/man1/pfsoutjpeghdr.1
}


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README TODO doc/faq.txt
%{_bindir}/pfsabsolute
%{_bindir}/pfscat
%{_bindir}/pfsclamp
%{_bindir}/pfscut
%{_bindir}/pfsextractchannels
%{_bindir}/pfsdisplayfunction
%{_bindir}/pfsflip
%{_bindir}/pfsgamma
%{_bindir}/pfsin
%{_bindir}/pfsindcraw
%{_bindir}/pfsinmulti
%{_bindir}/pfsinpfm
%{_bindir}/pfsinppm
%{_bindir}/pfsinrgbe
%{_bindir}/pfsintiff
%{_bindir}/pfsout
%{_bindir}/pfsoutffmpeg
%{_bindir}/pfsouthdrhtml
%{_bindir}/pfsoutpfm
%{_bindir}/pfsoutppm
%{_bindir}/pfsoutrgbe
%{_bindir}/pfsouttiff
%{_bindir}/pfspad
%{_bindir}/pfspanoramic
%{_bindir}/pfsrotate
%{_bindir}/pfssize
%{_bindir}/pfstag
%{_datadir}/pfstools/hdrhtml_c_b2.csv
%{_datadir}/pfstools/hdrhtml_c_b3.csv
%{_datadir}/pfstools/hdrhtml_c_b4.csv
%{_datadir}/pfstools/hdrhtml_c_b5.csv
%{_datadir}/pfstools/hdrhtml_default_templ/
%{_datadir}/pfstools/hdrhtml_hdrlabs_templ/
%{_datadir}/pfstools/hdrhtml_t_b2.csv
%{_datadir}/pfstools/hdrhtml_t_b3.csv
%{_datadir}/pfstools/hdrhtml_t_b4.csv
%{_datadir}/pfstools/hdrhtml_t_b5.csv
%{_mandir}/man1/pfsabsolute.1.gz
%{_mandir}/man1/pfscat.1.gz
%{_mandir}/man1/pfsclamp.1.gz
%{_mandir}/man1/pfscut.1.gz
%{_mandir}/man1/pfsdisplayfunction.1.gz
%{_mandir}/man1/pfsextractchannels.1.gz
%{_mandir}/man1/pfsflip.1.gz
%{_mandir}/man1/pfsgamma.1.gz
%{_mandir}/man1/pfsin.1.gz
%{_mandir}/man1/pfsindcraw.1.gz
%{_mandir}/man1/pfsinmulti.1.gz
%{_mandir}/man1/pfsinpfm.1.gz
%{_mandir}/man1/pfsinppm.1.gz
%{_mandir}/man1/pfsinrgbe.1.gz
%{_mandir}/man1/pfsintiff.1.gz
%{_mandir}/man1/pfsout.1.gz
%{_mandir}/man1/pfsoutffmpeg.1.gz
%{_mandir}/man1/pfsouthdrhtml.1.gz
%{_mandir}/man1/pfsoutpfm.1.gz
%{_mandir}/man1/pfsoutppm.1.gz
%{_mandir}/man1/pfsoutrgbe.1.gz
%{_mandir}/man1/pfsouttiff.1.gz
%{_mandir}/man1/pfspad.1.gz
%{_mandir}/man1/pfspanoramic.1.gz
%{_mandir}/man1/pfsrotate.1.gz
%{_mandir}/man1/pfssize.1.gz
%{_mandir}/man1/pfstag.1.gz
%doc

%files libs
%defattr(-,root,root,-)
%{_libdir}/libpfs-1.2.so.0
%{_libdir}/libpfs-1.2.so.0.0.0

%files qt
%defattr(-,root,root,-)
%{_bindir}/pfsv
%{_bindir}/pfsview
%{_mandir}/man1/pfsv.1.gz
%{_mandir}/man1/pfsview.1.gz

%files glview
%defattr(-,root,root,-)
%{_bindir}/pfsglview
%{_mandir}/man1/pfsglview.1.gz

%files exr
%defattr(-,root,root,-)
%{_bindir}/pfsinexr
%{_bindir}/pfsoutexr
%{_mandir}/man1/pfsinexr.1.gz
%{_mandir}/man1/pfsoutexr.1.gz

%files imgmagick
%defattr(-,root,root,-)
%{_bindir}/pfsinimgmagick
%{_bindir}/pfsoutimgmagick
%{_mandir}/man1/pfsinimgmagick.1.gz
%{_mandir}/man1/pfsoutimgmagick.1.gz

%files octave
%defattr(-,root,root,-)
%{_bindir}/pfsoctavelum
%{_bindir}/pfsoctavergb
%{_bindir}/pfsstat
%{_libdir}/octave/*/site/oct/*/pfstools
%{_datadir}/octave/*/site/m/pfstools
%{_mandir}/man1/pfsoctavelum.1.gz
%{_mandir}/man1/pfsoctavergb.1.gz
%{_mandir}/man1/pfsstat.1.gz

%files gdal
%defattr(-,root,root,-)
%{_bindir}/pfsingdal
%{_mandir}/man1/pfsingdal.1.gz

%files devel
%defattr(-,root,root,-)
%doc doc/pfs_format_spec.pdf
%{_libdir}/libpfs-1.2.so
%{_libdir}/pkgconfig/pfs.pc
%{_includedir}/pfs-1.2

%changelog
* Tue Aug 27 2013 Orion Poplawski <orion@cora.nwra.com> - 1.8.5-10
- Rebuild for gdal 1.10.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Tomas Smetana <tsmetana@redhat.com> - 1.8.5-8
- fix #926324: add autoreconf -if to support aarch64

* Wed Mar 20 2013 Tomas Smetana <tsmetana@redhat.com> - 1.8.5-7
- rebuild for new ImageMagick

* Mon Mar 11 2013 Rex Dieter <rdieter@fedoraproject.org> - 1.8.5-6
- rebuild (OpenEXR)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 07 2012 Tomas Smetana <tsmetana@redhat.com> - 1.8.5-3
- rebuild for new libtiff

* Fri Mar 02 2012 Tomas Smetana <tsmetana@redhat.com> - 1.8.5-2
- rebuild for new ImageMagick

* Thu Feb 16 2012 Tomas Smetana <tsmetana@redhat.com> - 1.8.5-1
- New upstream version

* Wed Jan 18 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8.3-5
- Rebuild against octave 3.6.0.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 16 2011 Jindrich Novy <jnovy@redhat.com> - 1.8.3-3
- rebuild against new libnetpbm

* Thu Aug 18 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8.3-2
- Add dependecy on octave(api) in -octave.
- Rebuild for octave 3.4.2.

* Tue May 10 2011 Orion Poplawski <orion@cora.nwra.com> - 1.8.3-1
- Update to upstream release 1.8.3
- pfsview now uses qt4
- Rebuild for octave 3.4.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.8.1-3
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8.1-2
- rebuild for new ImageMagick

* Sun Oct 25 2009 Ulrich Drepper <drepper@redhat.com> - 1.8.1-1
- Update to upstream release 1.8.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun  9 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.7.0-7
- Patch to generate useful debuginfo subpackage (#499912).
- Disable autotools dependency tracking during build for cleaner build logs
  and possible slight build speedup.

* Sun May 10 2009 Ulrich Drepper <drepper@redhat.com> - 1.7.0-6
- fix up spec file.  Remove unnecessary code.
- fix comparison of strings

* Mon Mar 23 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.7.0-5
- Add patch to fix building with GCC 4.4

* Wed Feb 25 2009 Ulrich Drepper <drepper@redhat.com> - 1.7.0-4
- recompile for hdf5 ABI change

* Wed Feb 4 2009 Ulrich Drepper <drepper@redhat.com> - 1.7.0-3
- add missing directories to spec file

* Mon Jan 5 2009 Ulrich Drepper <drepper@redhat.com> - 1.7.0-2
- Fix BuildRequires

* Fri Jan 2 2009 Ulrich Drepper <drepper@redhat.com> - 1.7.0-1
- update to most recent upstream release
  - new subpackage pfstools-gdal for GIS data handling
  - new program pfsdisplayfunction

* Fri Jan 2 2009 Ulrich Drepper <drepper@redhat.com> - 1.6.5-5
- add automake BuildRequires

* Wed Nov 5 2008 Ulrich Drepper <drepper@redhat.com> - 1.6.5-4
- ship more doc files

* Sun Oct 12 2008 Ulrich Drepper <drepper@redhat.com> - 1.6.5-3
- .spec file cleanups
- install Octave files without execution permission

* Wed Sep 03 2008 Manuel Wolfshant <wolfy@fedoraproject.org> - 1.6.5-2
- fix missing BR, Source URL, double inclusion of several files
- preserve timestamps

* Tue Aug 19 2008 Ulrich Drepper <drepper@redhat.com> - 1.6.5-1
- Initial package.
